import{s as he,n as ce,o as fe}from"../chunks/scheduler.7bc62968.js";import{S as me,i as pe,g as r,s as o,r as d,A as ge,h as s,f as a,c as n,j as le,u as h,x as l,k as de,y as ue,a as i,v as c,d as f,t as m,w as p}from"../chunks/index.66556066.js";import{H as g}from"../chunks/Heading.3f0870db.js";function be(Bt){let u,et,Z,at,b,it,v,ot,w,Wt="Welcome to the fascinating world of synthetic datasets in computer vision! As we’ve transitioned from classical unsupervised methods to advanced deep learning techniques, the demand for extensive and diverse datasets has skyrocketed. Synthetic datasets have emerged as a pivotal resource in training state-of-the-art models, providing an abundance of data that’s often impractical or impossible to collect in the real world. In this section, we’ll explore some of the most influential synthetic datasets, their applications, and how they’re shaping the future of computer vision.",nt,y,rt,$,st,x,Ft="Optical flow and motion analysis are critical in understanding image dynamics. Here are some datasets that have significantly contributed to advancements in this area:",lt,A,Ot='<thead><tr><th>Dataset Name</th> <th>Year</th> <th>Description</th> <th>Paper</th> <th>Additional Links</th></tr></thead> <tbody><tr><td>Middlebury</td> <td>2021 (latest release)</td> <td>The <strong>Middlebury</strong> Stereo dataset consists of high-resolution stereo sequences with complex geometry and pixel-accurate ground-truth disparity data. The ground-truth disparities are acquired using a technique that employs structured lighting and does not require the calibration of the light projectors.</td> <td><a href="https://vision.middlebury.edu/flow/floweval-ijcv2011.pdf" rel="nofollow">A database and  evaluation method for Optical Flow</a> (Cited by 3192 at the time of writing)</td> <td><a href="https://paperswithcode.com/dataset/middlebury" rel="nofollow">Papers with Code</a> - <a href="https://vision.middlebury.edu/stereo/data/" rel="nofollow">Website</a></td></tr> <tr><td>Playing for Benchmarks</td> <td>2017</td> <td>more than 250K high-resolution video frames, all annotated with ground-truth data for high level tasks but also for low-level tasks like optical flow estimation and visual odometry.</td> <td><a href="https://arxiv.org/abs/1709.07322" rel="nofollow">Playing for benchmarks</a></td> <td><a href="https://playing-for-benchmarks.org/" rel="nofollow">Website</a></td></tr> <tr><td>MPI-Sintel</td> <td>2012</td> <td>A synthetic dataset for optical flow. The main characteristic feature of MPI-Sintel is that it contains the same scenes with different render settings, varying quality and complexity; this approach can provide a deeper understanding of where different optical flow algorithms break down. (paper quote)</td> <td><a href="https://link.springer.com/chapter/10.1007/978-3-642-33783-3_44" rel="nofollow">A Naturalistic Open Source Movie for Optical Flow Evaluation</a> (551 citations at time of writing)</td> <td><a href="http://sintel.is.tue.mpg.de/" rel="nofollow">Website</a></td></tr></tbody>',dt,C,ht,D,Vt="Stereo image matching involves identifying corresponding elements in different images of the same scene. The following datasets have been instrumental in this field:",ct,T,qt='<thead><tr><th>Name</th> <th>Year</th> <th>Description</th> <th>Paper</th> <th>Additional Links</th></tr></thead> <tbody><tr><td>Flying Chairs</td> <td>2015</td> <td>22k frame pairs with ground truth flow</td> <td><a href="https://arxiv.org/abs/1504.06852" rel="nofollow">Learning optical flow with convolutional networks.</a></td> <td></td></tr> <tr><td>Flying Chairs 3D</td> <td>2015</td> <td>22k stereo frames</td> <td><a href="https://arxiv.org/abs/1512.02134" rel="nofollow">A large dataset to train convolutional networks for disparity, optical flow, and scene flow estimation.</a></td> <td></td></tr> <tr><td>Driving</td> <td>2015</td> <td>4392 stereo frames</td> <td><a href="https://arxiv.org/abs/1512.02134" rel="nofollow">A large dataset to train convolutional networks for disparity, optical flow, and scene flow estimation.</a></td> <td></td></tr> <tr><td>Monkaa</td> <td>2015</td> <td>8591 stereo frames</td> <td><a href="https://arxiv.org/abs/1512.02134" rel="nofollow">A large dataset to train convolutional networks for disparity, optical flow, and scene flow estimation.</a></td> <td></td></tr> <tr><td>Middlebury 2014</td> <td>2014</td> <td>33 high-resolution stereo datasets</td> <td><a href="https://link.springer.com/chapter/10.1007/978-3-319-11752-2_3" rel="nofollow">High-resolution stereo datasets with subpixel-accurate ground truth</a></td> <td></td></tr> <tr><td>Tsukuba Stereo</td> <td>2012</td> <td>This dataset includes 1800 stereo pairs accompanied by ground truth disparity maps, occlusion maps, and discontinuity maps.</td> <td>Towards a simulation-driven stereo vision system</td> <td><a href="https://home.cvlab.cs.tsukuba.ac.jp/dataset" rel="nofollow">Project</a></td></tr></tbody>',ft,_,mt,S,pt,k,Yt="Semantic segmentation is vital for autonomous vehicles to interpret and navigate their surroundings safely. These datasets provide rich, annotated data for this purpose:",gt,P,Kt='<thead><tr><th>Name</th> <th>Year</th> <th>Description</th> <th>Paper</th> <th></th> <th>Additional Links</th></tr></thead> <tbody><tr><td>Virtual KITTI 2</td> <td>2020</td> <td>Virtual Worlds as Proxy for Multi-Object Tracking Analysis</td> <td><a href="https://arxiv.org/pdf/2001.10773.pdf" rel="nofollow">Virtual KITTI 2</a></td> <td></td> <td><a href="https://europe.naverlabs.com/Research/Computer-Vision/Proxy-Virtual-Worlds/" rel="nofollow">Website</a></td></tr> <tr><td>ApolloScape</td> <td>2019</td> <td>Compared with existing public datasets from real scenes, e.g. KITTI [2] or Cityscapes [3], ApolloScape contains much large and richer labeling including holistic semantic dense point cloud for each site, stereo, per-pixel semantic labeling, lane-mark labeling, instance segmentation, 3D car instance, high accurate location for every frame in various driving videos from multiple sites, cities, and daytimes</td> <td><a href="https://arxiv.org/abs/1803.06184" rel="nofollow">The ApolloScape Open Dataset for Autonomous Driving and its Application</a></td> <td></td> <td><a href="https://apolloscape.auto/" rel="nofollow">Website</a></td></tr> <tr><td>Driving in the Matrix</td> <td>2017</td> <td>The core idea behind “Driving in the Matrix” is to use photo-realistic computer-generated images from a simulation engine to produce annotated data quickly.</td> <td><a href="https://arxiv.org/pdf/1610.01983.pdf" rel="nofollow">Driving in the Matrix: Can Virtual Worlds Replace Human-Generated Annotations for Real World Tasks?</a></td> <td></td> <td><a href="https://github.com/umautobots/driving-in-the-matrix" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/umautobots/driving-in-the-matrix.svg?style=social&amp;label=Star" alt="GitHub stars"/></td></tr> <tr><td>CARLA</td> <td>2017</td> <td><strong>CARLA</strong> (CAR Learning to Act) is an open simulator for urban driving, developed as an open-source layer over Unreal Engine 4. Technically, it operates similarly to, as an open source layer over Unreal Engine 4 that provides sensors in the form of RGB cameras (with customizable positions), ground truth depth maps, ground truth semantic segmentation maps with 12 semantic classes designed for driving (road, lane marking, traffic sign, sidewalk and so on), bounding boxes for dynamic objects in the environment, and measurements of the agent itself (vehicle location and orientation).</td> <td><a href="https://arxiv.org/pdf/1711.03938v1.pdf" rel="nofollow">CARLA: An Open Urban Driving Simulator</a></td> <td></td> <td><a href="https://carla.org/" rel="nofollow">Website</a></td></tr> <tr><td>Synthia</td> <td>2016</td> <td>A large collection of synthetic images for semantic segmentation of urban scenes. SYNTHIA consists of a collection of photo-realistic frames rendered from a virtual city and comes with precise pixel-level semantic annotations for 13 classes: misc, sky, building, road, sidewalk, fence, vegetation, pole, car, sign, pedestrian, cyclist, lane-marking.</td> <td><a href="https://www.cv-foundation.org/openaccess/content_cvpr_2016/html/Ros_The_SYNTHIA_Dataset_CVPR_2016_paper.html" rel="nofollow">The SYNTHIA Dataset: A Large Collection of Synthetic Images for Semantic Segmentation of Urban Scenes</a></td> <td></td> <td><a href="https://synthia-dataset.net/" rel="nofollow">Website</a></td></tr> <tr><td>GTA5</td> <td>2016</td> <td>The <strong>GTA5</strong> dataset contains 24966 synthetic images with pixel-level semantic annotation. The images have been rendered using the open-world video game <strong>Grand Theft Auto 5</strong> and are all from the car perspective in the streets of American-style virtual cities. 19 semantic classes are compatible with the ones of the Cityscapes dataset.</td> <td><a href="https://arxiv.org/abs/1608.02192v1" rel="nofollow">Playing for Data: Ground Truth from Computer Games</a></td> <td></td> <td><a href="https://bitbucket.org/visinf/projects-2016-playing-for-data/src/master/" rel="nofollow">BitBucket</a></td></tr> <tr><td>ProcSy</td> <td></td> <td>A synthetic dataset for semantic segmentation, modeled on a real-world urban environment and features a range of variable influence factors, such as weather and lighting.</td> <td><a href="https://openaccess.thecvf.com/content_CVPRW_2019/papers/Vision%20for%20All%20Seasons%20Bad%20Weather%20and%20Nighttime/Khan_ProcSy_Procedural_Synthetic_Dataset_Generation_Towards_Influence_Factor_Studies_Of_CVPRW_2019_paper.pdf" rel="nofollow">ProcSy: Procedural Synthetic Dataset Generation Towards Influence Factor Studies Of Semantic Segmentation Networks</a></td> <td></td> <td><a href="https://uwaterloo.ca/waterloo-intelligent-systems-engineering-lab/procsy" rel="nofollow">Website</a></td></tr></tbody>',ut,L,bt,H,Ut="Navigating indoor environments can be challenging due to their complexity. These datasets aid in developing systems capable of indoor simulation and navigation:",vt,M,zt='<thead><tr><th>Name</th> <th>Year</th> <th>Description</th> <th>Paper</th> <th>Additional Links</th></tr></thead> <tbody><tr><td>Habitat</td> <td>2023</td> <td>An Embodied AI simulation platform for studying collaborative human-robot interaction tasks in home environments.</td> <td><a href="https://ai.meta.com/static-resource/habitat3" rel="nofollow">HABITAT 3.0: A CO-HABITAT FOR HUMANS, AVATARS AND ROBOTS</a></td> <td><a href="https://aihabitat.org/habitat3/" rel="nofollow">Website</a></td></tr> <tr><td>Minos</td> <td>2017</td> <td>Multimodal Indoor Simulator</td> <td><a href="https://arxiv.org/pdf/1712.03931.pdf" rel="nofollow">MINOS: Multimodal Indoor Simulator for Navigation in Complex Environments</a></td> <td><a href="https://github.com/minosworld/minos" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/minosworld/minos.svg?style=social&amp;label=Star" alt="GitHub stars"/></td></tr> <tr><td>House3D</td> <td>2017 (archived in 2021)</td> <td>A Rich and Realistic 3D Environment</td> <td><a href="https://arxiv.org/pdf/1801.02209v2.pdf" rel="nofollow">Building generalisable agents with a realistic and rich 3D environment</a></td> <td><a href="https://github.com/facebookresearch/House3D" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/facebookresearch/House3D.svg?style=social&amp;label=Star" alt="GitHub stars"/></td></tr></tbody>',wt,I,yt,R,Qt="Recognizing and simulating human actions is a complex task that these datasets help to address:",$t,N,Jt='<thead><tr><th>Name</th> <th>Year</th> <th>Description</th> <th>Paper</th> <th>Additional Links</th></tr></thead> <tbody><tr><td>PHAV</td> <td>2017</td> <td>Synthetic dataset of procedurally generated human action recognition videos.</td> <td><a href="https://openaccess.thecvf.com/content_cvpr_2017/papers/de_Souza_Procedural_Generation_of_CVPR_2017_paper.pdf" rel="nofollow">Procedural Generation of Videos to Train Deep Action Recognition Networks</a></td> <td><a href="http://adas.cvc.uab.es/phav/" rel="nofollow">Website</a></td></tr> <tr><td>Surreal</td> <td>2017</td> <td>(change description - this is for human depth estimation and human part segmentation) Large-scale dataset with synthetically generated but realistic images of people  rendered from 3D sequences of human motion capture data. We generate more than 6 million frames together with ground truth poses, depth maps, and segmentation masks. We show that CNNs trained on our synthetic dataset allow for accurate human depth estimation and human part segmentation in real RGB images.</td> <td><a href="https://arxiv.org/abs/1701.01370" rel="nofollow">Learning from Synthetic Humans</a></td> <td><a href="https://github.com/gulvarol/surreal" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/gulvarol/surreal.svg?style=social&amp;label=Star" alt="GitHub stars"/>- <a href="https://www.di.ens.fr/willow/research/surreal/" rel="nofollow">Website</a></td></tr></tbody>',xt,G,At,E,Xt="Face recognition technology has numerous applications, from security to user identification. Here’s a look at datasets that drive innovations in this field:",Ct,j,Zt='<thead><tr><th>Name</th> <th>Year</th> <th>Description</th> <th>Paper</th> <th>Additional Links</th></tr></thead> <tbody><tr><td>FaceSynthetics</td> <td>2021</td> <td>The Face Synthetics dataset is a collection of diverse synthetic face images with ground truth labels.</td> <td><a href="https://openaccess.thecvf.com/content/ICCV2021/html/Wood_Fake_It_Till_You_Make_It_Face_Analysis_in_the_ICCV_2021_paper.html" rel="nofollow">Fake It Till You Make It: Face Analysis in the Wild Using Synthetic Data Alone</a></td> <td><a href="https://microsoft.github.io/FaceSynthetics/" rel="nofollow">Website</a> - <a href="https://github.com/microsoft/FaceSynthetics" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/microsoft/FaceSynthetics.svg?style=social&amp;label=Star" alt="GitHub stars"/></td></tr> <tr><td>FFHQ</td> <td>2018</td> <td>consists of 70,000 high-quality PNG images at 1024×1024 resolution and contains considerable variation in terms of age, ethnicity and image background.</td> <td><a href="https://arxiv.org/abs/1812.04948" rel="nofollow">A Style-Based Generator Architecture for Generative Adversarial Networks</a></td> <td><a href="https://github.com/NVlabs/ffhq-dataset?tab=readme-ov-file" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/NVlabs/ffhq-dataset.svg?style=social&amp;label=Star" alt="GitHub stars"/></td></tr> <tr><td></td> <td></td> <td></td> <td></td> <td></td></tr></tbody>',Dt,B,Tt,W,te="Creating 3D models from single images is a challenging yet exciting area. These datasets are at the forefront of research in 3D shape modeling:",_t,F,ee='<thead><tr><th>Name</th> <th>Year</th> <th>Description</th> <th>Paper</th></tr></thead> <tbody><tr><td>Pix3D</td> <td>2018</td> <td>A large-scale benchmark of diverse image-shape pairs with pixel-level 2D-3D alignment. Pix3D has wide applications in shape-related tasks including reconstruction, retrieval, and viewpoint estimation.</td> <td><a href="http://pix3d.csail.mit.edu/papers/pix3d_cvpr.pdf" rel="nofollow">Pix3D: Dataset and Methods for Single-Image 3D Shape Modeling</a></td></tr> <tr><td></td> <td></td> <td></td> <td></td></tr></tbody>',St,O,kt,V,ae="The following datasets are either tailored for niche applications or cover multiple ones:",Pt,q,ie='<thead><tr><th>Dataset Name</th> <th>Release Year</th> <th>Description</th> <th>Paper</th> <th>External Links</th> <th>Applications</th></tr></thead> <tbody><tr><td>CIFAKE</td> <td>2023</td> <td>CIFAKE is a dataset that contains 60,000 synthetically generated images and 60,000 real images (collected from CIFAR-10).</td> <td><a href="https://arxiv.org/pdf/2303.14126v1.pdf" rel="nofollow">CIFAKE: Image Classification and Explainable Identification of AI-Generated Synthetic Images</a></td> <td><a href="https://www.kaggle.com/datasets/birdy654/cifake-real-and-ai-generated-synthetic-images/data" rel="nofollow">Kaggle</a></td> <td>Real-Fake Images Classification</td></tr> <tr><td>ABO</td> <td>2022</td> <td><strong>ABO</strong> is a large-scale dataset designed for material prediction and multi-view retrieval experiments. The dataset contains Blender renderings of 30 viewpoints for each of the 7,953 3D objects, as well as camera intrinsics and extrinsic for each rendering.</td> <td><a href="https://arxiv.org/pdf/2110.06199.pdf" rel="nofollow">ABO: Dataset and Benchmarks for Real-World 3D Object Understanding</a></td> <td><a href="https://amazon-berkeley-objects.s3.amazonaws.com/index.html" rel="nofollow">Website</a></td> <td>Material Prediction; Multi-View Retrieval; 3D Objects understanding; 3D Shape Reconstruction;</td></tr> <tr><td>NTIRE 2021 HDR</td> <td>2021</td> <td>This dataset is composed of approximately 1500 training, 60 validation, and 201 testing examples. Each example in the dataset is in turn composed of three input LDR images, i.e. short, medium, and long exposures, and a related ground-truth HDR image aligned with the central medium frame.</td> <td><a href="https://arxiv.org/pdf/2106.01439.pdf" rel="nofollow">NTIRE 2021 Challenge on High Dynamic Range Imaging: Dataset, Methods and Results</a></td> <td><a href="https://paperswithcode.com/dataset/ntire-2021-hdr" rel="nofollow">Papers with Code</a></td> <td>Image Super Resolution</td></tr> <tr><td>YCB-Video</td> <td>2017</td> <td>a large-scale video dataset for 6D object pose estimation. provides accurate 6D poses of 21 objects from the YCB dataset observed in 92 videos with 133,827 frames.</td> <td>[PoseCNN: A Convolutional Neural Network for 6D Object Pose Estimation in Cluttered Scenes](PoseCNN: A Convolutional Neural Network for 6D Object Pose Estimation in Cluttered Scenes)</td> <td><a href="https://opendatalab.com/OpenDataLab/YCB-Video" rel="nofollow">Website</a></td> <td>6D Pose Estimation</td></tr> <tr><td>Playing for benchmarks</td> <td>2017</td> <td>more than 250K high-resolution video frames, all annotated with ground-truth data.</td> <td><a href="https://arxiv.org/abs/1709.07322" rel="nofollow">Playing for benchmarks</a></td> <td><a href="https://playing-for-benchmarks.org/" rel="nofollow">Website</a></td> <td>Semantic Instance Segmentation; Object Detection and Tracking; Object-Level 3D Scene Layout;</td></tr> <tr><td>4D Light Field Dataset</td> <td>2016</td> <td>24 synthetic, densely sampled 4D light fields with highly accurate disparity ground truth.</td> <td><a href="https://lightfield-analysis.net/benchmark/paper/lightfield_benchmark_accv_2016.pdf" rel="nofollow">A Dataset and Evaluation Methodology for Depth Estimation on 4D Light Fields</a></td> <td><a href="https://github.com/lightfield-analysis" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/lightfield-analysis.svg?style=social&amp;label=Star" alt="GitHub stars"/> -  <a href="https://lightfield-analysis.uni-konstanz.de/" rel="nofollow">Website</a></td> <td>Depth Estimation of 4D light fields</td></tr> <tr><td>ICL-NUIM Dataset</td> <td>2014</td> <td>RGB-D with noise models, 2 scenes. This is for indoor environments.</td> <td><a href="https://ieeexplore.ieee.org/document/6907054" rel="nofollow">A benchmark for rgb-d visual odometry, 3d reconstruction, and slam.</a></td> <td><a href="https://www.doc.ic.ac.uk/~ahanda/VaFRIC/iclnuim.html" rel="nofollow">Website</a></td> <td>RGB-D, Visual Odometry and SLAM algorithms.</td></tr> <tr><td></td> <td></td> <td></td> <td></td> <td></td> <td></td></tr></tbody>',Lt,Y,Ht,K,oe="Basic high-level computer vision problems, such as object detection or segmentation, fully enjoy the benefits of perfect labeling provided by synthetic data, and there is plenty of effort devoted to making synthetic data work for these problems. Since making synthetic data requires the development of 3D models, datasets usually also feature 3D-related labeling such as the depth map, labeled 3D parts of a shape, volumetric 3D data, and so on.",Mt,U,ne='<thead><tr><th>Dataset</th> <th>Year</th> <th>Description</th> <th>Paper</th> <th>Citations at the time of writing</th> <th>Additional Links</th></tr></thead> <tbody><tr><td>ADORESet</td> <td>2019</td> <td>Hybrid dataset for object recognition testing</td> <td><a href="https://link.springer.com/article/10.1007/s00138-018-0966-3" rel="nofollow">A hybrid image dataset toward bridging the gap between real and simulation environments for robotics.</a></td> <td>13</td> <td><a href="https://github.com/bayraktare/ADORESet" rel="nofollow">GitHub</a> <img src="https://img.shields.io/github/stars/bayraktare/ADORESet.svg?style=social&amp;label=Star" alt="GitHub stars"/></td></tr> <tr><td>Falling Things</td> <td>2018</td> <td>61.5K images of YCB objects in virtual envs</td> <td><a href="https://arxiv.org/abs/1804.06534" rel="nofollow">Falling things: A synthetic dataset for 3d object detection and pose estimation.</a></td> <td>171</td> <td><a href="https://research.nvidia.com/publication/2018-06_falling-things-synthetic-dataset-3d-object-detection-and-pose-estimation" rel="nofollow">Website</a></td></tr> <tr><td>PartNet</td> <td>2018</td> <td>26671 models, 573535 annotated part instances</td> <td><a href="https://arxiv.org/abs/1812.02713" rel="nofollow">Partnet: A large-scale benchmark for fine-grained and hierarchical part-level 3d object understanding.</a></td> <td>552</td> <td><a href="https://opendatalab.com/OpenDataLab/PartNet" rel="nofollow">Website</a></td></tr> <tr><td>ShapeNetCore</td> <td>2017</td> <td>51K manually verified models from 55 categories</td> <td><a href="https://arxiv.org/abs/1710.06104" rel="nofollow">Large-scale 3d shape reconstruction and segmentation from shapenet core55.</a></td> <td>71</td> <td><a href="https://shapenet.org/" rel="nofollow">Website</a></td></tr> <tr><td>VANDAL</td> <td>2017</td> <td>4.1M depth images, &gt;9K objects in 319 categories</td> <td><a href="https://arxiv.org/pdf/1609.09713.pdf" rel="nofollow">A deep representation for depth images from synthetic data.</a></td> <td>43</td> <td>N/A</td></tr> <tr><td>UnrealCV</td> <td>2017</td> <td>Plugin for UE4 to generate synthetic data</td> <td><a href="https://dl.acm.org/doi/pdf/10.1145/3123266.3129396" rel="nofollow">Unrealcv: Virtual worlds for computer vision.</a></td> <td>95</td> <td>N/A</td></tr> <tr><td>SceneNet RGB-D</td> <td>2017</td> <td>5M RGB-D images from 16K 3D trajectories</td> <td><a href="https://openaccess.thecvf.com/content_ICCV_2017/papers/McCormac_SceneNet_RGB-D_Can_ICCV_2017_paper.pdf" rel="nofollow">Scenenet rgb-d: Can 5m synthetic images beat generic ImageNet pre-training on indoor segmentation?</a></td> <td>309</td> <td><a href="https://robotvault.bitbucket.io/scenenet-rgbd.html" rel="nofollow">Website</a></td></tr> <tr><td>DepthSynth</td> <td>2017</td> <td>Framework for realistic simulation of depth sensors</td> <td><a href="https://arxiv.org/pdf/1702.08558.pdf" rel="nofollow">Real-time realistic synthetic data generation from cad models for 2.5d recognition.</a></td> <td>84</td> <td>N/A</td></tr> <tr><td>3DScan</td> <td>2016</td> <td>a large dataset of object scans</td> <td><a href="https://arxiv.org/abs/1602.02481" rel="nofollow">A large dataset of objects scan.</a></td> <td>223</td> <td><a href="http://redwood-data.org/3dscan/" rel="nofollow">Website</a></td></tr></tbody>',It,z,Rt,Q,re="The development and utilization of synthetic datasets have been a game-changer in the field of computer vision. They not only offer a solution to the data scarcity problem but also ensure a level of accuracy and variability that’s hard to achieve with real-world data alone. As technology progresses, we can anticipate even more sophisticated and realistic datasets that will continue to push the boundaries of what’s possible in computer vision.",Nt,J,Gt,X,se='<li><a href="https://github.com/unrealcv/synthetic-computer-vision" rel="nofollow">Synthetic Data for Computer Vision</a></li> <li><a href="https://arxiv.org/pdf/1909.11512.pdf" rel="nofollow">Overview of Synthetic Data Generation</a></li>',Et,tt,jt;return b=new g({props:{title:"Synthetic Datasets",local:"synthetic-datasets",headingTag:"h1"}}),v=new g({props:{title:"Introduction",local:"introduction",headingTag:"h2"}}),y=new g({props:{title:"Low-Level Computer Vision Problems",local:"low-level-computer-vision-problems",headingTag:"h2"}}),$=new g({props:{title:"Optical Flow and Motion Analysis",local:"optical-flow-and-motion-analysis",headingTag:"h3"}}),C=new g({props:{title:"Stereo Image Matching",local:"stereo-image-matching",headingTag:"h3"}}),_=new g({props:{title:"High-Level Computer Vision Problems",local:"high-level-computer-vision-problems",headingTag:"h2"}}),S=new g({props:{title:"Semantic Segmentation for Autonomous Driving",local:"semantic-segmentation-for-autonomous-driving",headingTag:"h3"}}),L=new g({props:{title:"Indoor Simulation and Navigation",local:"indoor-simulation-and-navigation",headingTag:"h3"}}),I=new g({props:{title:"Human Action Recognition and Simulation",local:"human-action-recognition-and-simulation",headingTag:"h3"}}),G=new g({props:{title:"Face Recognition",local:"face-recognition",headingTag:"h3"}}),B=new g({props:{title:"3D Shape Modeling from single images",local:"3d-shape-modeling-from-single-images",headingTag:"h3"}}),O=new g({props:{title:"Diverse Applications",local:"diverse-applications",headingTag:"h3"}}),Y=new g({props:{title:"3D Objects datasets",local:"3d-objects-datasets",headingTag:"h2"}}),z=new g({props:{title:"Conclusion",local:"conclusion",headingTag:"h2"}}),J=new g({props:{title:"References",local:"references",headingTag:"h2"}}),{c(){u=r("meta"),et=o(),Z=r("p"),at=o(),d(b.$$.fragment),it=o(),d(v.$$.fragment),ot=o(),w=r("p"),w.textContent=Wt,nt=o(),d(y.$$.fragment),rt=o(),d($.$$.fragment),st=o(),x=r("p"),x.textContent=Ft,lt=o(),A=r("table"),A.innerHTML=Ot,dt=o(),d(C.$$.fragment),ht=o(),D=r("p"),D.textContent=Vt,ct=o(),T=r("table"),T.innerHTML=qt,ft=o(),d(_.$$.fragment),mt=o(),d(S.$$.fragment),pt=o(),k=r("p"),k.textContent=Yt,gt=o(),P=r("table"),P.innerHTML=Kt,ut=o(),d(L.$$.fragment),bt=o(),H=r("p"),H.textContent=Ut,vt=o(),M=r("table"),M.innerHTML=zt,wt=o(),d(I.$$.fragment),yt=o(),R=r("p"),R.textContent=Qt,$t=o(),N=r("table"),N.innerHTML=Jt,xt=o(),d(G.$$.fragment),At=o(),E=r("p"),E.textContent=Xt,Ct=o(),j=r("table"),j.innerHTML=Zt,Dt=o(),d(B.$$.fragment),Tt=o(),W=r("p"),W.textContent=te,_t=o(),F=r("table"),F.innerHTML=ee,St=o(),d(O.$$.fragment),kt=o(),V=r("p"),V.textContent=ae,Pt=o(),q=r("table"),q.innerHTML=ie,Lt=o(),d(Y.$$.fragment),Ht=o(),K=r("p"),K.textContent=oe,Mt=o(),U=r("table"),U.innerHTML=ne,It=o(),d(z.$$.fragment),Rt=o(),Q=r("p"),Q.textContent=re,Nt=o(),d(J.$$.fragment),Gt=o(),X=r("ul"),X.innerHTML=se,Et=o(),tt=r("p"),this.h()},l(t){const e=ge("svelte-u9bgzb",document.head);u=s(e,"META",{name:!0,content:!0}),e.forEach(a),et=n(t),Z=s(t,"P",{}),le(Z).forEach(a),at=n(t),h(b.$$.fragment,t),it=n(t),h(v.$$.fragment,t),ot=n(t),w=s(t,"P",{"data-svelte-h":!0}),l(w)!=="svelte-1854hzq"&&(w.textContent=Wt),nt=n(t),h(y.$$.fragment,t),rt=n(t),h($.$$.fragment,t),st=n(t),x=s(t,"P",{"data-svelte-h":!0}),l(x)!=="svelte-1y3jn71"&&(x.textContent=Ft),lt=n(t),A=s(t,"TABLE",{"data-svelte-h":!0}),l(A)!=="svelte-5e8252"&&(A.innerHTML=Ot),dt=n(t),h(C.$$.fragment,t),ht=n(t),D=s(t,"P",{"data-svelte-h":!0}),l(D)!=="svelte-1ag9f3s"&&(D.textContent=Vt),ct=n(t),T=s(t,"TABLE",{"data-svelte-h":!0}),l(T)!=="svelte-crtiqv"&&(T.innerHTML=qt),ft=n(t),h(_.$$.fragment,t),mt=n(t),h(S.$$.fragment,t),pt=n(t),k=s(t,"P",{"data-svelte-h":!0}),l(k)!=="svelte-9amchz"&&(k.textContent=Yt),gt=n(t),P=s(t,"TABLE",{"data-svelte-h":!0}),l(P)!=="svelte-1gqc18k"&&(P.innerHTML=Kt),ut=n(t),h(L.$$.fragment,t),bt=n(t),H=s(t,"P",{"data-svelte-h":!0}),l(H)!=="svelte-ur50tf"&&(H.textContent=Ut),vt=n(t),M=s(t,"TABLE",{"data-svelte-h":!0}),l(M)!=="svelte-141xijo"&&(M.innerHTML=zt),wt=n(t),h(I.$$.fragment,t),yt=n(t),R=s(t,"P",{"data-svelte-h":!0}),l(R)!=="svelte-o17oaw"&&(R.textContent=Qt),$t=n(t),N=s(t,"TABLE",{"data-svelte-h":!0}),l(N)!=="svelte-19sd6d"&&(N.innerHTML=Jt),xt=n(t),h(G.$$.fragment,t),At=n(t),E=s(t,"P",{"data-svelte-h":!0}),l(E)!=="svelte-aenld5"&&(E.textContent=Xt),Ct=n(t),j=s(t,"TABLE",{"data-svelte-h":!0}),l(j)!=="svelte-163p2ic"&&(j.innerHTML=Zt),Dt=n(t),h(B.$$.fragment,t),Tt=n(t),W=s(t,"P",{"data-svelte-h":!0}),l(W)!=="svelte-zhuwrc"&&(W.textContent=te),_t=n(t),F=s(t,"TABLE",{"data-svelte-h":!0}),l(F)!=="svelte-meu06y"&&(F.innerHTML=ee),St=n(t),h(O.$$.fragment,t),kt=n(t),V=s(t,"P",{"data-svelte-h":!0}),l(V)!=="svelte-14bn59o"&&(V.textContent=ae),Pt=n(t),q=s(t,"TABLE",{"data-svelte-h":!0}),l(q)!=="svelte-11mia1d"&&(q.innerHTML=ie),Lt=n(t),h(Y.$$.fragment,t),Ht=n(t),K=s(t,"P",{"data-svelte-h":!0}),l(K)!=="svelte-158r0g1"&&(K.textContent=oe),Mt=n(t),U=s(t,"TABLE",{"data-svelte-h":!0}),l(U)!=="svelte-17uud9g"&&(U.innerHTML=ne),It=n(t),h(z.$$.fragment,t),Rt=n(t),Q=s(t,"P",{"data-svelte-h":!0}),l(Q)!=="svelte-bhgjq6"&&(Q.textContent=re),Nt=n(t),h(J.$$.fragment,t),Gt=n(t),X=s(t,"UL",{"data-svelte-h":!0}),l(X)!=="svelte-1uad36b"&&(X.innerHTML=se),Et=n(t),tt=s(t,"P",{}),le(tt).forEach(a),this.h()},h(){de(u,"name","hf:doc:metadata"),de(u,"content",ve)},m(t,e){ue(document.head,u),i(t,et,e),i(t,Z,e),i(t,at,e),c(b,t,e),i(t,it,e),c(v,t,e),i(t,ot,e),i(t,w,e),i(t,nt,e),c(y,t,e),i(t,rt,e),c($,t,e),i(t,st,e),i(t,x,e),i(t,lt,e),i(t,A,e),i(t,dt,e),c(C,t,e),i(t,ht,e),i(t,D,e),i(t,ct,e),i(t,T,e),i(t,ft,e),c(_,t,e),i(t,mt,e),c(S,t,e),i(t,pt,e),i(t,k,e),i(t,gt,e),i(t,P,e),i(t,ut,e),c(L,t,e),i(t,bt,e),i(t,H,e),i(t,vt,e),i(t,M,e),i(t,wt,e),c(I,t,e),i(t,yt,e),i(t,R,e),i(t,$t,e),i(t,N,e),i(t,xt,e),c(G,t,e),i(t,At,e),i(t,E,e),i(t,Ct,e),i(t,j,e),i(t,Dt,e),c(B,t,e),i(t,Tt,e),i(t,W,e),i(t,_t,e),i(t,F,e),i(t,St,e),c(O,t,e),i(t,kt,e),i(t,V,e),i(t,Pt,e),i(t,q,e),i(t,Lt,e),c(Y,t,e),i(t,Ht,e),i(t,K,e),i(t,Mt,e),i(t,U,e),i(t,It,e),c(z,t,e),i(t,Rt,e),i(t,Q,e),i(t,Nt,e),c(J,t,e),i(t,Gt,e),i(t,X,e),i(t,Et,e),i(t,tt,e),jt=!0},p:ce,i(t){jt||(f(b.$$.fragment,t),f(v.$$.fragment,t),f(y.$$.fragment,t),f($.$$.fragment,t),f(C.$$.fragment,t),f(_.$$.fragment,t),f(S.$$.fragment,t),f(L.$$.fragment,t),f(I.$$.fragment,t),f(G.$$.fragment,t),f(B.$$.fragment,t),f(O.$$.fragment,t),f(Y.$$.fragment,t),f(z.$$.fragment,t),f(J.$$.fragment,t),jt=!0)},o(t){m(b.$$.fragment,t),m(v.$$.fragment,t),m(y.$$.fragment,t),m($.$$.fragment,t),m(C.$$.fragment,t),m(_.$$.fragment,t),m(S.$$.fragment,t),m(L.$$.fragment,t),m(I.$$.fragment,t),m(G.$$.fragment,t),m(B.$$.fragment,t),m(O.$$.fragment,t),m(Y.$$.fragment,t),m(z.$$.fragment,t),m(J.$$.fragment,t),jt=!1},d(t){t&&(a(et),a(Z),a(at),a(it),a(ot),a(w),a(nt),a(rt),a(st),a(x),a(lt),a(A),a(dt),a(ht),a(D),a(ct),a(T),a(ft),a(mt),a(pt),a(k),a(gt),a(P),a(ut),a(bt),a(H),a(vt),a(M),a(wt),a(yt),a(R),a($t),a(N),a(xt),a(At),a(E),a(Ct),a(j),a(Dt),a(Tt),a(W),a(_t),a(F),a(St),a(kt),a(V),a(Pt),a(q),a(Lt),a(Ht),a(K),a(Mt),a(U),a(It),a(Rt),a(Q),a(Nt),a(Gt),a(X),a(Et),a(tt)),a(u),p(b,t),p(v,t),p(y,t),p($,t),p(C,t),p(_,t),p(S,t),p(L,t),p(I,t),p(G,t),p(B,t),p(O,t),p(Y,t),p(z,t),p(J,t)}}}const ve='{"title":"Synthetic Datasets","local":"synthetic-datasets","sections":[{"title":"Introduction","local":"introduction","sections":[],"depth":2},{"title":"Low-Level Computer Vision Problems","local":"low-level-computer-vision-problems","sections":[{"title":"Optical Flow and Motion Analysis","local":"optical-flow-and-motion-analysis","sections":[],"depth":3},{"title":"Stereo Image Matching","local":"stereo-image-matching","sections":[],"depth":3}],"depth":2},{"title":"High-Level Computer Vision Problems","local":"high-level-computer-vision-problems","sections":[{"title":"Semantic Segmentation for Autonomous Driving","local":"semantic-segmentation-for-autonomous-driving","sections":[],"depth":3},{"title":"Indoor Simulation and Navigation","local":"indoor-simulation-and-navigation","sections":[],"depth":3},{"title":"Human Action Recognition and Simulation","local":"human-action-recognition-and-simulation","sections":[],"depth":3},{"title":"Face Recognition","local":"face-recognition","sections":[],"depth":3},{"title":"3D Shape Modeling from single images","local":"3d-shape-modeling-from-single-images","sections":[],"depth":3},{"title":"Diverse Applications","local":"diverse-applications","sections":[],"depth":3}],"depth":2},{"title":"3D Objects datasets","local":"3d-objects-datasets","sections":[],"depth":2},{"title":"Conclusion","local":"conclusion","sections":[],"depth":2},{"title":"References","local":"references","sections":[],"depth":2}],"depth":1}';function we(Bt){return fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ae extends me{constructor(u){super(),pe(this,u,we,be,he,{})}}export{Ae as component};
