import{s as We,o as Ke,n as De}from"../chunks/scheduler.7bc62968.js";import{S as Ye,i as Qe,g as r,s as a,r as u,A as Xe,h as l,f as i,c as s,j as Fe,u as g,x as o,k as Ve,y as Ze,a as n,v,d as b,t as w,w as $}from"../chunks/index.66556066.js";import{T as et}from"../chunks/Tip.ad57eee8.js";import{H as P}from"../chunks/Heading.3f0870db.js";function tt(Y){let p,C="Different training methods can be employed to train Joint-Embedding Architectures, for example:",c,d,f="<li>Contrastive methods</li> <li>Non-Contrastive methods</li> <li>Clustering methods</li>";return{c(){p=r("p"),p.textContent=C,c=a(),d=r("ul"),d.innerHTML=f},l(m){p=l(m,"P",{"data-svelte-h":!0}),o(p)!=="svelte-18ojo9p"&&(p.textContent=C),c=s(m),d=l(m,"UL",{"data-svelte-h":!0}),o(d)!=="svelte-oz1xx7"&&(d.innerHTML=f)},m(m,h){n(m,p,h),n(m,c,h),n(m,d,h)},p:De,d(m){m&&(i(p),i(c),i(d))}}}function it(Y){let p,C,c,d,f,m,h,Q,A,ye=`The Image-based Joint-Embedding Predictive Architecture (I-JEPA) is a groundbreaking self-supervised learning model <a href="https://ai.meta.com/blog/yann-lecun-ai-model-i-jepa/" rel="nofollow">introduced by Meta AI in 2023</a>. It tackles the challenge of understanding images without relying on traditional labels or hand-crafted data augmentations.
To get to know I-JEPA better, let’s first discuss a few concepts.`,X,y,Z,T,Te="We can say that there are broadly two main approaches for self-supervised learning from images: invariance-based methods and generative methods. Both approaches have their strengths and weaknesses.",ee,E,Ee="<li><p><strong>Invariance-based methods</strong>: In these methods, the model tries to reproduce similar embeddings for different views of the same image. And, of course, these different views are hand-crafted, the image augmentations we’re all familiar with. For example, rotating, scaling, and cropping. These methods are good at producing representations at high semantic levels, but the problem is that they introduce strong biases that may be detrimental to certain downstream tasks. For example, image classification and instance segmentation do not require data augmentations.</p></li> <li><p><strong>Generative methods</strong>: The model tries to reconstruct the input image using these methods. That’s why these methods are sometimes called reconstruction-based self-supervised learning. Masks hide patches of the input image, and the model tries to reconstruct these corrupted patches at the pixel or token level (let’s keep this point in mind). This masked approach can easily generalize beyond image modality but doesn’t produce representations at the quality level of invariance-based methods. Also, these methods are computationally expensive and require large datasets for robust training.</p></li>",te,I,Ie="Now let’s talk about Joint-Embedding Architectures.",ie,J,ne,_,Je="This is a recent and popular approach for self-supervised learning from images in which two networks are trained to produce similar embeddings for different views of the same image. Basically, they train two networks to “speak the same language” about different views of the same picture. A common choice is the Siamese network architecture where the two networks share the same weights. But like everything else, it has its own problems:",ae,k,_e="<li><p><strong>Representation collapse</strong>: A case in which the model produces the same representation regardless of the input.</p></li> <li><p><strong>Inputs compatibility criteria</strong>: Finding good and appropriate compatibility measures can be challenging sometimes.</p></li>",se,M,ke='An example of a Joint-Embedding Architecture is <a href="https://arxiv.org/abs/2105.04906" rel="nofollow">VICReg</a>',re,x,le,L,Me="So far so good, now to I-JEPA. As a start, the picture below from the I-JEPA paper shows the difference between Joint-Embedding methods, generative methods, and I-JEPA.",oe,H,Le='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/main/i-jepa-1.png" alt="I-JEPA Comparisons"/>',pe,j,me,q,He="I-JEPA tries to improve on both generative and joint-embedding methods. Conceptually, it is similar to generative methods but with the following key differences:",de,z,je="<li><p><strong>Abstract prediction</strong>: This is the most fascinating aspect of I-JEPA in my opinion. Remember when we mentioned generative methods and how they try to reconstruct the corrupted input at the pixel level? Now, unlike generative methods, I-JEPA tries to predict it in representation space using its introduced predictor, that’s why they call it abstract prediction. This leads to the model learning more powerful semantic features.</p></li> <li><p><strong>Multi-block masking</strong>: Another design choice that improves the semantic features produced by I-JEPA is masking sufficiently large blocks of the input image.</p></li>",he,N,ce,R,qe="The previous diagrams show and compare the I-JEPA architecture, below is a brief description of its main components:",fe,S,ze="<li><p><strong>Target Encoder (y-encoder)</strong>: Encodes target images and the target blocks are produced by masking its output.</p></li> <li><p><strong>Context Encoder (x-encoder)</strong>: Encodes a randomly sampled context block from the image to obtain a corresponding patch-level representation.</p></li> <li><p><strong>Predictor</strong>: Takes as input the output of the context encoder and a mask token for each patch we wish to predict and tries to predict the masked target blocks.</p></li>",ue,U,Ne="The target-encoder, context-encoder, and predictor all use a Vision Transformer (ViT) architecture. You have a refresher about them in unit 3 of this course.",ge,B,Re="The image below from the paper illustrates how I-JEPA works.",ve,G,Se='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/main/i-jepa-2.png" alt="I-JEPA method"/>',be,O,we,F,Ue="So, why I-JEPA? I-JEPA introduced many new design features while still being a simple and efficient method for learning semantic image representations without relying on hand-crafted data augmentations. Briefly,",$e,V,Be="<li><p>I-JEPA outperforms pixel-reconstruction methods such as Masked autoencoders (MAE) on ImageNet-1K linear probing, semi-supervised 1% ImageNet-1K, and semantic transfer tasks.</p></li> <li><p>I-JEPA is competitive with view-invariant pretraining approaches on semantic tasks and achieves better performance on low-level vision tasks such as object counting and depth prediction.</p></li> <li><p>By using a simpler model with less rigid inductive bias, I-JEPA is applicable to a wider set of tasks.</p></li> <li><p>I-JEPA is also scalable and efficient. Pretraining on ImageNet requires <em>less than 1200 GPU hours</em>.</p></li>",xe,W,Pe,K,Ge='<li><p><a href="https://arxiv.org/abs/2301.08243" rel="nofollow">I-JEPA paper</a></p></li> <li><p><a href="https://ai.meta.com/blog/yann-lecun-ai-model-i-jepa/" rel="nofollow">Meta’s blog post about I-JEPA</a></p></li> <li><p><a href="https://github.com/facebookresearch/ijepa" rel="nofollow">I-JEPA official GitHub repository</a></p></li>',Ce,D,Ae;return f=new P({props:{title:"Image-based Joint-Embedding Predictive Architecture (I-JEPA)",local:"image-based-joint-embedding-predictive-architecture-i-jepa",headingTag:"h1"}}),h=new P({props:{title:"Overview",local:"overview",headingTag:"h2"}}),y=new P({props:{title:"Invariance-based vs. Generative Pretraining Methods",local:"invariance-based-vs-generative-pretraining-methods",headingTag:"h3"}}),J=new P({props:{title:"Joint-Embedding Architectures",local:"joint-embedding-architectures",headingTag:"h3"}}),x=new et({props:{$$slots:{default:[tt]},$$scope:{ctx:Y}}}),j=new P({props:{title:"Image-based Joint-Embedding Predictive Architecture (I-JEPA)",local:"image-based-joint-embedding-predictive-architecture-i-jepa",headingTag:"h3"}}),N=new P({props:{title:"I-JEPA Components",local:"i-jepa-components",headingTag:"h3"}}),O=new P({props:{title:"Why It Matters",local:"why-it-matters",headingTag:"h2"}}),W=new P({props:{title:"References",local:"references",headingTag:"h2"}}),{c(){p=r("meta"),C=a(),c=r("p"),d=a(),u(f.$$.fragment),m=a(),u(h.$$.fragment),Q=a(),A=r("p"),A.innerHTML=ye,X=a(),u(y.$$.fragment),Z=a(),T=r("p"),T.textContent=Te,ee=a(),E=r("ul"),E.innerHTML=Ee,te=a(),I=r("p"),I.textContent=Ie,ie=a(),u(J.$$.fragment),ne=a(),_=r("p"),_.textContent=Je,ae=a(),k=r("ul"),k.innerHTML=_e,se=a(),M=r("p"),M.innerHTML=ke,re=a(),u(x.$$.fragment),le=a(),L=r("p"),L.textContent=Me,oe=a(),H=r("p"),H.innerHTML=Le,pe=a(),u(j.$$.fragment),me=a(),q=r("p"),q.textContent=He,de=a(),z=r("ol"),z.innerHTML=je,he=a(),u(N.$$.fragment),ce=a(),R=r("p"),R.textContent=qe,fe=a(),S=r("ol"),S.innerHTML=ze,ue=a(),U=r("p"),U.textContent=Ne,ge=a(),B=r("p"),B.textContent=Re,ve=a(),G=r("p"),G.innerHTML=Se,be=a(),u(O.$$.fragment),we=a(),F=r("p"),F.textContent=Ue,$e=a(),V=r("ol"),V.innerHTML=Be,xe=a(),u(W.$$.fragment),Pe=a(),K=r("ul"),K.innerHTML=Ge,Ce=a(),D=r("p"),this.h()},l(e){const t=Xe("svelte-u9bgzb",document.head);p=l(t,"META",{name:!0,content:!0}),t.forEach(i),C=s(e),c=l(e,"P",{}),Fe(c).forEach(i),d=s(e),g(f.$$.fragment,e),m=s(e),g(h.$$.fragment,e),Q=s(e),A=l(e,"P",{"data-svelte-h":!0}),o(A)!=="svelte-9a4on1"&&(A.innerHTML=ye),X=s(e),g(y.$$.fragment,e),Z=s(e),T=l(e,"P",{"data-svelte-h":!0}),o(T)!=="svelte-13d8w3e"&&(T.textContent=Te),ee=s(e),E=l(e,"UL",{"data-svelte-h":!0}),o(E)!=="svelte-1iehnwc"&&(E.innerHTML=Ee),te=s(e),I=l(e,"P",{"data-svelte-h":!0}),o(I)!=="svelte-1ctdgby"&&(I.textContent=Ie),ie=s(e),g(J.$$.fragment,e),ne=s(e),_=l(e,"P",{"data-svelte-h":!0}),o(_)!=="svelte-1ujhq2u"&&(_.textContent=Je),ae=s(e),k=l(e,"UL",{"data-svelte-h":!0}),o(k)!=="svelte-ogfrwq"&&(k.innerHTML=_e),se=s(e),M=l(e,"P",{"data-svelte-h":!0}),o(M)!=="svelte-537i3n"&&(M.innerHTML=ke),re=s(e),g(x.$$.fragment,e),le=s(e),L=l(e,"P",{"data-svelte-h":!0}),o(L)!=="svelte-n7d4uw"&&(L.textContent=Me),oe=s(e),H=l(e,"P",{"data-svelte-h":!0}),o(H)!=="svelte-40dvgi"&&(H.innerHTML=Le),pe=s(e),g(j.$$.fragment,e),me=s(e),q=l(e,"P",{"data-svelte-h":!0}),o(q)!=="svelte-1qobl65"&&(q.textContent=He),de=s(e),z=l(e,"OL",{"data-svelte-h":!0}),o(z)!=="svelte-tm4dzs"&&(z.innerHTML=je),he=s(e),g(N.$$.fragment,e),ce=s(e),R=l(e,"P",{"data-svelte-h":!0}),o(R)!=="svelte-1uog347"&&(R.textContent=qe),fe=s(e),S=l(e,"OL",{"data-svelte-h":!0}),o(S)!=="svelte-1cyiilj"&&(S.innerHTML=ze),ue=s(e),U=l(e,"P",{"data-svelte-h":!0}),o(U)!=="svelte-1g9wihc"&&(U.textContent=Ne),ge=s(e),B=l(e,"P",{"data-svelte-h":!0}),o(B)!=="svelte-4rz9zm"&&(B.textContent=Re),ve=s(e),G=l(e,"P",{"data-svelte-h":!0}),o(G)!=="svelte-82ypr4"&&(G.innerHTML=Se),be=s(e),g(O.$$.fragment,e),we=s(e),F=l(e,"P",{"data-svelte-h":!0}),o(F)!=="svelte-10ransy"&&(F.textContent=Ue),$e=s(e),V=l(e,"OL",{"data-svelte-h":!0}),o(V)!=="svelte-at00gs"&&(V.innerHTML=Be),xe=s(e),g(W.$$.fragment,e),Pe=s(e),K=l(e,"UL",{"data-svelte-h":!0}),o(K)!=="svelte-1hcizhe"&&(K.innerHTML=Ge),Ce=s(e),D=l(e,"P",{}),Fe(D).forEach(i),this.h()},h(){Ve(p,"name","hf:doc:metadata"),Ve(p,"content",nt)},m(e,t){Ze(document.head,p),n(e,C,t),n(e,c,t),n(e,d,t),v(f,e,t),n(e,m,t),v(h,e,t),n(e,Q,t),n(e,A,t),n(e,X,t),v(y,e,t),n(e,Z,t),n(e,T,t),n(e,ee,t),n(e,E,t),n(e,te,t),n(e,I,t),n(e,ie,t),v(J,e,t),n(e,ne,t),n(e,_,t),n(e,ae,t),n(e,k,t),n(e,se,t),n(e,M,t),n(e,re,t),v(x,e,t),n(e,le,t),n(e,L,t),n(e,oe,t),n(e,H,t),n(e,pe,t),v(j,e,t),n(e,me,t),n(e,q,t),n(e,de,t),n(e,z,t),n(e,he,t),v(N,e,t),n(e,ce,t),n(e,R,t),n(e,fe,t),n(e,S,t),n(e,ue,t),n(e,U,t),n(e,ge,t),n(e,B,t),n(e,ve,t),n(e,G,t),n(e,be,t),v(O,e,t),n(e,we,t),n(e,F,t),n(e,$e,t),n(e,V,t),n(e,xe,t),v(W,e,t),n(e,Pe,t),n(e,K,t),n(e,Ce,t),n(e,D,t),Ae=!0},p(e,[t]){const Oe={};t&2&&(Oe.$$scope={dirty:t,ctx:e}),x.$set(Oe)},i(e){Ae||(b(f.$$.fragment,e),b(h.$$.fragment,e),b(y.$$.fragment,e),b(J.$$.fragment,e),b(x.$$.fragment,e),b(j.$$.fragment,e),b(N.$$.fragment,e),b(O.$$.fragment,e),b(W.$$.fragment,e),Ae=!0)},o(e){w(f.$$.fragment,e),w(h.$$.fragment,e),w(y.$$.fragment,e),w(J.$$.fragment,e),w(x.$$.fragment,e),w(j.$$.fragment,e),w(N.$$.fragment,e),w(O.$$.fragment,e),w(W.$$.fragment,e),Ae=!1},d(e){e&&(i(C),i(c),i(d),i(m),i(Q),i(A),i(X),i(Z),i(T),i(ee),i(E),i(te),i(I),i(ie),i(ne),i(_),i(ae),i(k),i(se),i(M),i(re),i(le),i(L),i(oe),i(H),i(pe),i(me),i(q),i(de),i(z),i(he),i(ce),i(R),i(fe),i(S),i(ue),i(U),i(ge),i(B),i(ve),i(G),i(be),i(we),i(F),i($e),i(V),i(xe),i(Pe),i(K),i(Ce),i(D)),i(p),$(f,e),$(h,e),$(y,e),$(J,e),$(x,e),$(j,e),$(N,e),$(O,e),$(W,e)}}}const nt='{"title":"Image-based Joint-Embedding Predictive Architecture (I-JEPA)","local":"image-based-joint-embedding-predictive-architecture-i-jepa","sections":[{"title":"Overview","local":"overview","sections":[{"title":"Invariance-based vs. Generative Pretraining Methods","local":"invariance-based-vs-generative-pretraining-methods","sections":[],"depth":3},{"title":"Joint-Embedding Architectures","local":"joint-embedding-architectures","sections":[],"depth":3},{"title":"Image-based Joint-Embedding Predictive Architecture (I-JEPA)","local":"image-based-joint-embedding-predictive-architecture-i-jepa","sections":[],"depth":3},{"title":"I-JEPA Components","local":"i-jepa-components","sections":[],"depth":3}],"depth":2},{"title":"Why It Matters","local":"why-it-matters","sections":[],"depth":2},{"title":"References","local":"references","sections":[],"depth":2}],"depth":1}';function at(Y){return Ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class pt extends Ye{constructor(p){super(),Qe(this,p,at,it,We,{})}}export{pt as component};
